Update a annotation job
PATCH
/v1/projects/{projectId}/annotation-jobs/{jobId}curl -X PATCH 'https://api.embodiflow.io/v1/projects/{projectId}/annotation-jobs/{jobId}' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT' \
-H 'Content-Type: application/json' \
-d '{
"name": "string",
"instructionsMd": "string",
"exampleEpisodeId": "string",
"fieldsJson": [
"string"
],
"reviewerMembershipId": "string",
"dueAt": "string"
}'认证
每个请求都需要携带个人访问令牌(PAT)。
- Authorization: Bearer PAT
路径参数
- projectIdstring必填
- jobIdstring必填
请求头参数
- If-Matchstring必填
Required precondition. Absent returns 428 PRECONDITION_REQUIRED. A stale tag returns 412 PRECONDITION_FAILED with no write. If-Match: * succeeds when the resource exists. Malformed values return 400 IF_MATCH_INVALID.
请求体
Content-Typeapplication/json
- namestring
- instructionsMdstring | null
- exampleEpisodeIdstring | null
- fieldsJsonarray<string>
- reviewerMembershipIdstring | null
- dueAtstring | null
响应
Success
- dataobject必填
- idstring必填
- projectIdstring必填
- kindstring必填可选值segmentationlabeling
- namestring必填
- instructionsMdstring | null必填
- exampleEpisodeIdstring | null必填
- fieldsJsonarray<string>必填
- reviewerMembershipIdstring | null必填
- dueAtstring | null必填
- statusstring必填可选值cancelledin_reviewin_progressopendone
- distributionstring必填可选值evenqueue
- createdBystring | null必填
- assigneeMembershipIdsarray<string>必填
- progressobject必填
- createdAtstring必填
- updatedAtstring必填
- rowVersionnumber必填
响应示例
{
"data": {
"id": "string",
"projectId": "string",
"kind": "segmentation",
"name": "string",
"instructionsMd": "string",
"exampleEpisodeId": "string",
"fieldsJson": [
"string"
],
"reviewerMembershipId": "string",
"dueAt": "string",
"status": "cancelled",
"distribution": "even",
"createdBy": "string",
"assigneeMembershipIds": [
"string"
],
"progress": {
"total": 0,
"todo": 0,
"labeled": 0,
"approved": 0,
"rejected": 0
},
"createdAt": "string",
"updatedAt": "string",
"rowVersion": 0
}
}服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1